

struct heartplayer {
	// 0= you, 1=local computer, 2= remote player
	u8 PlayerType;
	// character name
	char * name;
	// number of points a player has
	u16 Points;
	// number of cards in hand
	u8 numcards;
	// cards in hand
	u8 card[13];
};
struct hearttrick {
	//owner player number
	u8 owner;
	// value of trick
	u8 value;
	// cards in trick
	u8 card[4];
	// players who played the cards in trick
	u8 plr[4];
};
struct carddeck {
	// cards remaining
	u8 cards;
	// card list
	u8 card[52];
};


// information:
#define SUIT_CLUBS 2
#define SUIT_DIAMONDS 1
#define SUIT_SPADES 3
#define SUIT_HEARTS 0

#define CARDBACK 52

#define CARD_ACE 0
#define CARD_TWO 1
#define CARD_THREE 2
#define CARD_FOUR 3
#define CARD_FIVE 4
#define CARD_SIX 5
#define CARD_SEVEN 6
#define CARD_EIGHT 7
#define CARD_NINE 8
#define CARD_TEN 9
#define CARD_JACK 10
#define CARD_QUEEN 11
#define CARD_KING 12

// some macros for card information:
#define CardSuit(card) ((card)/13)
#define CardValue(card) ((card)%13)
#define CardNum(suit,value) ((value)+(suit)*13)

void SetupSinglePlay(void);
u32 AISelectScreen(void);
u32 MultiPlayScreen(void);
u32 PlayGame(void);
u32 EnterPlayerName(void);






